function group_report_showGroups_() {

	var from =document.getElementById("group_report_from").value;
	var to =document.getElementById("group_report_to").value;
	console.log( from ,"  " ,  to );
        
	$.ajax({
		type : 'GET',
		url : 'create/get_groups/' +from+"/"+to ,
		/*data : {
			'_token' : $('meta[name="csrf-token"]').attr('content')
		},
		headers: {
			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		  },*/
		
		success : function(data) {
			console.log("data.groups_", data.groups_);
			var sel = $('#group_groups_id').empty();
			 $('#group_groups_id').empty();
			 $('#group_supplier_id').empty();
			var groups = data.groups_ ;
			sel.append('<option> Choose Group</option>');
			for (var i = 0; i < groups.length; ++i) {
				sel.append('<option value="' + groups[i].id + '">' + groups[i].name + '</option>');			
			}
	  console.log(data); 
	  
		},
		error : function(request, status, error) {
			console.log(error);
		}
	});
  
		 
	}


function group_report_showSuppliers_() {

	var from =document.getElementById("group_report_from").value;
	var to =document.getElementById("group_report_to").value;
	console.log( from ,"  " ,  to );

	var arr_of_groups=$("#group_groups_id").val();
    console.log(arr_of_groups);
        
	$.ajax({
		type : 'GET',
		url : 'create/ajaxgroup_suppliers/'+ arr_of_groups +"/"+from+"/"+to ,
		/*data : {
			'_token' : $('meta[name="csrf-token"]').attr('content')
		},
		headers: {
			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		  },*/
		
		success : function(data) {
			console.log("data.suppliers_", data.suppliers_);
			var sel = $('#group_supplier_id').empty();
			 $('#group_supplier_id').empty();
			var suppliers = data.suppliers_ ;
			sel.append('<option> Choose Supplier</option>');
			for (var i = 0; i < suppliers.length; ++i) {
				sel.append('<option value="' + suppliers[i].id + '">' + suppliers[i].name + '</option>');			
			}
	  console.log(data); 
	  
		},
		error : function(request, status, error) {
			console.log(error);
		}
	});
  
		 
	}
	